# Twidere X
[![Build Status](https://github.com/TwidereProject/TwidereX-Android/workflows/Android%20CI/badge.svg)](https://github.com/TwidereProject/TwidereX-Android/actions)
[![Crowdin](https://badges.crowdin.net/twidere-x/localized.svg)](https://crowdin.com/project/twidere-x)
[![Version](https://img.shields.io/github/v/release/TwidereProject/TwidereX-Android)](https://github.com/TwidereProject/TwidereX-Android/releases/latest)
[![Issues](https://img.shields.io/github/issues/TwidereProject/TwidereX-Android)](https://github.com/TwidereProject/TwidereX-Android/issues)
[![License](https://img.shields.io/github/license/TwidereProject/TwidereX-Android)](https://github.com/TwidereProject/TwidereX-Android/blob/develop/LICENSE)
![Activity](https://img.shields.io/github/commit-activity/m/TwidereProject/TwidereX-Android)
[![Contributors](https://img.shields.io/github/contributors/TwidereProject/TwidereX-Android)](https://github.com/TwidereProject/TwidereX-Android/graphs/contributors)

[<img src="https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png" alt="Get it on Google Play" height="80">](https://play.google.com/store/apps/details?id=com.twidere.twiderex)
[<img src="https://f-droid.org/badge/get-it-on.png" alt="Get it on F-Droid" height="80">](https://f-droid.org/en/packages/com.twidere.twiderex/)

Next generation of Twidere for Android 5.0+. **Still in early stage.**  

## Features

- Modern Material Design
- Dark mode
- Tweet with photos
- Multiple account support
- Free, open source, NO ads, forever!


## What's Happening

### What's new in 1.6.0 - July 2022 Update

- Experimatal desktop version.
- Mute and block support.
- Gif insertion support
- Optimizing video play for timeline.
- Enable sensitive content blur for Twitter (by @enaix )
- Fix startup crash in Android 12
- Fix Clicking on the searchbar already with text (#304)
- Fix DMs tab is killed by block/deleted account (#384)
- Fix App crashes when viewing list members (#310)
- Add Share button for Tweet (#344)
- [Mastodon] Mastodon OAuth URL with spaces breaks when using DuckDuckGo as a browser (#326)

### What is being planned for 1.7.0 - July 2022 Update
For 1.7.0, we're forcusing on bug fix and performance enhancemant, there will be lots of internal code changes, you can check out our [milestone](https://github.com/TwidereProject/TwidereX-Android/milestone/6) for detail.

### Roadmap for 2.0 - Jun 2021 Update
For 2.0, we're considering these options, but it is still an early thought and might change over time.

- Desktop (Linux/Windows) support (by [compose-jb](https://github.com/JetBrains/compose-jb)).
- Tablet mode.
- Javascript extension support.
- View-Only mode (aka Anonymous Browse).

## Contributing

This project welcomes contributions of all types. Help spec'ing, design, documentation, finding bugs are ways everyone can help on top of coding features / bug fixes.

**Before you start work on a feature that you would like to contribute**, please read the [Contributor's Guide](CONTRIBUTING.md).

### ⚠ State of code ⚠

Twidere X is still in an early stage and will be periodically re-structuring/refactoring the code to make it easier to comprehend, navigate, build, test, and contribute to, so **DO expect significant changes to code layout on a regular basis**.

## License
```
                       Twidere X

     Copyright (C) TwidereProject and Contributors

Twidere X is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Twidere X is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Twidere X. If not, see <http://www.gnu.org/licenses/>.
```
